Uploaded image for project: 'Qt Creator'
  1. Qt Creator
  2. QTCREATORBUG-20909

QtC selects minimum c++ version instead of maximum in QBS project

    XMLWordPrintable

    Details

    • Commits:
      43c2f366225af35d9d3a08c545253c754112424b

      Description

      If we depends on product which export older version of c++ like code below

      //hello-17.qbs
      import qbs
      
      Project {
          references: ["old-version.qbs"]
      
          CppApplication {
              consoleApplication: true
              files: "main.cpp"
              cpp.cxxLanguageVersion: "c++17"
              Depends { name: "OldVersion" }
          }
      }
      //old-version.qbs
      import qbs
      
      Project {
          Product {
              name: "OldVersion"
              Export {
                  Depends { name: "cpp" }
                  cpp.cxxLanguageVersion: "c++11"
              }
          }
      }

      QtC will choose c++11 as a language version. Commenting out the line: "Depends { name: "OldVersion" }", makes the QtC work correctly. QBS builds the project correctly in all cases, so it's on QtC side. The bug appears if using QtC 4.7.0 + QBS 1.12.

       

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            kandeler Christian Kandeler
            Reporter:
            maxis11 Maxim
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes